Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07651 Documentation Trivial Always May 11, 2020, 07:43 May 11, 2020, 09:58
Tester jkburks View Status Public Platform MAME (Official Binary)
Assigned To jkburks Resolution Fixed OS Windows 10 (64-bit)
Status [?] Resolved Driver warpwarp.cpp
Version 0.220 Fixed in Version 0.222 Build 64-bit
Summary 07651: sos: Incorrect release year, company & game title
Description This rom should probably be listed as:
SOS Game, K.K. Tokki (Namco license) 1979

I am aware of the warpwarp.cpp comments: “Kaitei (and SOS) is developed by Kazuharu Yoshioka of K.K.Tokki (Universal Tokki). Namco acquired license for these games.”

This post will provide proof that the game was released in 1979 by K.K. Tokki, and that there is an undumped version that predates the Namco licensed rom in MAME. Attached to this post is a scan of 3 advertisements from Game Machine magazine that were published in late 1979. In all 3 ads the game title is always referred to as “SOS Game”.

Ad #1 Game Machine (Issue #130 page 37) Nov. 01, 1979

Original Game for Conversion Time!!
Now on Sale - SOS Game
At our company, we have created an original “SOS Game” board designated for conversions. Let us improve your sales by remodeling your existing inventory of machines cheaply.

How to Play SOS Game
1 Shoot down the steadily incoming enemy attack to increase the score.
2 Attack the enemy while following orders from the left and right bases.
3 As the score goes up, the number of enemies on the screen will increase.

Price
(a) Gee Bee—those who have a cross
Sub board—list price—95,000 yen

(b) Those who have Block or other video games,
Main board—list price—120,000 yen
Sub board—list price—95,000 yen
It can also be used for other uprights.

Universal Specialized Equipment Co., Ltd.

Notes:
If you look closely at the screen photo you can clearly read “K.K TOKKI SOS GAME”. I think the Gee Bee “cross” might be a reference to the cocktail table with the X pattern legs. This game was exclusively a conversion kit targeted at games with black & white CRTs. The pcb was available in 2 formats.

In the company name, Tokki is the pronunciation of the kanji that means “Specialized Equipment” & kabushiki kaisha, commonly abbreviated KK, is a type of company defined under the Companies Act of Japan. So the company can also be written as K.K. Tokki, or Universal Tokki Co., Ltd.

Ad #2 Game Machine (Issue #130 page 28) Nov. 01, 1979

The main text is a description of how to play Atrantis. I will not include this text because it is not relevant to this post. However, the right side has an interesting chart

Change your way of thinking with new games
Improved Game Play—Yosaku—Atrantis

Additional Conversions
Block
Gee Bee
Invaders
Head On
arrows point to potential conversions on the right

SOS Game—Combat game, intercept enemy attacks following ground commands. (lever operation)
Sky Blast - Destroy the monster army in the sky with missiles. (Galaxy Type)
Head On
New Part II

Central Japan Lease Corporation Ltd.

Ad #3 Game Machine (Issue #132 page 22) Dec. 01, 1979
———Game Machine (Issue #133 page 20) Dec. 15, 1979


From Block. Gee Bee, Invaders, Conversion to Original Game—SOS Game

Every coffee break
Cutie appears
What kind of figure is it?

How to play SOS Game
1 Shoot down the steadily incoming enemy airplanes (10 points per airplane)
2 Bonus (+30 points) when you hit the wings of this plane on SOS that appears randomly on the left and right. At the same time, invading airplanes (10 airplane rate) are subtracted.
3 As the score goes up, the number of enemy airplanes will increase and it becomes difficult. The game ends when 100 enemy planes have invaded, or when this airplane has 3 explosions.

Now for Sale
Two-, four-, eight-way lever, external box, round key, etc.
Mechanical product types for sale.
* 3 boards can be replaced

Central Japan Lease Corporation Ltd.

notes: The wikipedia page for this game incorrectly refers to Shinryaku as the name of the player’s ship. This is actually the Japanese word for invasion or raid. The goal of the game is to prevent 100 planes from invading, thus the word Shinryaku appears at the bottom of the screen next to the count of successful enemy planes.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems sos
Attached Files
jpg file icon SOS_GAME_1979.jpg (454,075 bytes) May 11, 2020, 07:43 Uploaded by jkburks
jkburks
Relationships
related to 07694Confirmed sos: The game description is just "SOS" not "SOS Game" 
Notes
1
User avatar
No.17631
hap
Developer
May 11, 2020, 09:58
Sure